#pragma once
#include <string>
#include <iostream>
#include <fstream>
#include "news_post.h"
#include "blog_post.h"
#include "picture.h"
#include <vector>
#include <sstream>
#include <exception>

const unsigned int max_line_length = 10000;

class dreamwriter_de
{
public:
	dreamwriter_de();
	~dreamwriter_de();
	void set_log(bool write_log);
	bool get_log();
	void set_input_file(std::string input_file);
	void create_dreamwriter_de();
private:
	bool log;
	void read_blog_post();
	void read_picture();
	void read_update();
	void write_index();
	void write_blog();
	void write_pictures();
	void write_galleries();
	void write_nav();
	void write_rss();
	std::vector<news_post> news_post_collection;
	std::vector<blog_post> blog_post_collection;
	std::vector<picture> picture_collection;
	std::ifstream fin;
	char linebuffer[max_line_length];
	std::string format_gallery_nunber(unsigned int number);
};

